## com.google.common.base
Class Ticker

    java.lang.Object
      com.google.common.base.Ticker

    @Beta
    @GwtCompatible
    public abstract class Ticker

extends Object

A time source; returns a time value representing the number of nanoseconds elapsed since some fixed but arbitrary point in time. Note that most users should use `Stopwatch` instead of interacting with this class directly.

Warning: this interface can only be used to measure elapsed time, not wall time.

Since:
  10.0 (mostly source-compatible since 9.0)
Author:
  Kevin Bourrillion

Constructor Summary
`protected` `Ticker()` Constructor for use by subclasses.

Method Summary
`abstract long` `read()` Returns the number of nanoseconds elapsed since this ticker's fixed point of reference.
`static Ticker` `systemTicker()` A ticker that reads the current time using `System.nanoTime()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ticker

    protected Ticker()

  Constructor for use by subclasses.

Method Detail

### read

    public abstract long read()

  Returns the number of nanoseconds elapsed since this ticker's fixed point of reference.

### systemTicker

    public static Ticker systemTicker()

  A ticker that reads the current time using `System.nanoTime()`.

  Since:
    10.0

Copyright © 2010-2012. All Rights Reserved.